Bug 1023227 - Add language member request email contains string jsf.email.joinrequest.RoleRequested
Summary: Add language member request email contains string jsf.email.joinrequest.RoleR...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: 3.0
Hardware: Unspecified Unspecified
unspecified
low
Target Milestone: ---
: 3.3
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-24 23:31 UTC by Damian Jansen
Modified: 2014-03-20 05:47 UTC (History)
4 users (show)

Fixed In Version: 3.3.0-SNAPSHOT (20131206-0037)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 05:47:10 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2013-10-24 23:31:19 UTC
Description of problem:
When a user requests membership to a language, the email sent to admin contains the string "jsf.email.joinrequest.RoleRequested", perhaps an untranslated string?

Version-Release number of selected component (if applicable):
3.x

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as translator
2. Select a language the translator is not a member of
3. Click Request to Join Team
4. Fill in the form and click send

Actual results:
The email received contains the string "jsf.email.joinrequest.RoleRequested"

Expected results:
Should be something like Roles Requested

Additional info:
Dear Language Team Coordinator,

Zanata user 'translator' with id 'translator' is requesting to join the en-US (English (United States)) Language Team
jsf.email.joinrequest.RoleRequested

    Translator
    Reviewer

translator has included the following message with their request:...

Comment 1 Alex Eng 2013-12-01 19:59:59 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/306

Comment 2 Ding-Yi Chen 2013-12-10 01:48:31 UTC
VERIFIED with Zanata version 3.3.0-SNAPSHOT (20131206-0037)

Comment 3 Sean Flanigan 2014-03-20 05:47:10 UTC
Closing VERIFIED bugs for Zanata server 3.3.2.


Note You need to log in before you can comment on or make changes to this bug.